package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class DMFHFDistressVO extends HeaderVO{
	private int dstrss_knd;
	private String fshrbt_no;
	private String ship_nm;
	private String clsgn;
	private Double tn;
	private int la;
	private int lo;
	private int sog;
	private int cog;
	private int btry_sttus;
	private int btry_level;
	private int dsast_src;
	
	public DMFHFDistressVO() {
		dstrss_knd = 0;
		fshrbt_no = "";
		ship_nm = "";
		clsgn = "";
		tn = 0.0;
		la = 54600000;
		lo = 108600000;
		sog = 1023;
		cog = 3600;
		btry_sttus = 3;
		btry_level = 63;
		dsast_src = 3;
	}
	
	public int getDstrss_knd() {
		return dstrss_knd;
	}
	public void setDstrss_knd(int dstrss_knd) {
		this.dstrss_knd = dstrss_knd;
	}
	public String getFshrbt_no() {
		return fshrbt_no;
	}
	public void setFshrbt_no(String fshrbt_no) {
		this.fshrbt_no = fshrbt_no;
	}
	public String getShip_nm() {
		return ship_nm;
	}
	public void setShip_nm(String ship_nm) {
		this.ship_nm = ship_nm;
	}
	public String getClsgn() {
		return clsgn;
	}
	public void setClsgn(String clsgn) {
		this.clsgn = clsgn;
	}
	public Double getTn() {
		return tn;
	}
	public void setTn(Double tn) {
		this.tn = tn;
	}
	public int getLa() {
		return la;
	}
	public void setLa(int la) {
		this.la = la;
	}
	public int getLo() {
		return lo;
	}
	public void setLo(int lo) {
		this.lo = lo;
	}
	public int getSog() {
		return sog;
	}
	public void setSog(int sog) {
		this.sog = sog;
	}
	public int getCog() {
		return cog;
	}
	public void setCog(int cog) {
		this.cog = cog;
	}
	public int getBtry_sttus() {
		return btry_sttus;
	}
	public void setBtry_sttus(int btry_sttus) {
		this.btry_sttus = btry_sttus;
	}
	public int getBtry_level() {
		return btry_level;
	}
	public void setBtry_level(int btry_level) {
		this.btry_level = btry_level;
	}	
	public int getDsast_src() {
		return dsast_src;
	}

	public void setDsast_src(int dsast_src) {
		this.dsast_src = dsast_src;
	}

	public String getString() {
		return "TargetSensor : "+this.targetSensor+"\n"+
				"packetID    : "+this.packetID+"\n"+
				"ShipID      : "+this.shipID+"\n"+
				"DateTime    : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID 	 : "+this.areaID+"\n"+
				"MsgType 	 : "+this.msgType+"\n"+
				"DataLength  : "+this.dataLength+"\n"+
				"dstrss_knd  : " + String.valueOf(this.dstrss_knd) + "\n" +
				"fshrbt_no 	 : "+this.fshrbt_no+ "\n" + 
				"ship_nm 	 : "+this.ship_nm+ "\n" + 
				"clsgn 	     : "+this.clsgn+ "\n" + 
				"tn 		 : " + String.valueOf(this.tn) + "\n" + 
				"la 	     : " + String.valueOf(this.la) + "\n" + 
				"lo 	     : " + String.valueOf(this.lo) + "\n" + 
				"Sog 		 : " + String.valueOf(this.sog) + "\n" + 
				"Cog 		 : " + String.valueOf(this.cog) + "\n" + 
				"btry_sttus  : " + String.valueOf(this.btry_sttus) + "\n" + 
				"btry_level  : " + String.valueOf(this.btry_level) + "\n" +
				"dsast_src   : " + String.valueOf(this.dsast_src) + "\n";		
	}
}
